# eric7.VCS.__init__

Module implementing the general part of the interface to version control systems.

The general part of the VCS interface defines classes to implement common dialogs. These are a dialog to enter command options, a dialog to display some repository information and an abstract base class. The individual interfaces have to be subclasses of this base class.

### Global Attributes

VcsBasicHelperSingleton

### Classes

None

### Functions

factory | Modul factory function to generate the right vcs object.
getBasicHelper | Module function to get a reference to the basic project helper singleton.

## factory

factory(vcs)

Modul factory function to generate the right vcs object.

vcs
  name of the VCS system to be used (string)

Return:
  the instantiated VCS object

Up

## getBasicHelper

getBasicHelper(project)

Module function to get a reference to the basic project helper singleton.

project
  reference to the project object (Project)

Return:
  reference to the basic VCS project helper singleton (VcsProjectHelper)

Up